Bug 342851 - multiarch conflicts in php
Summary: multiarch conflicts in php
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mash
Version: 8
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-19 21:53 UTC by Bill Nottingham
Modified: 2014-03-17 03:10 UTC (History)
4 users (show)

Fixed In Version: mash-0.5.20-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-05 19:10:28 UTC


Attachments (Terms of Use)

Description Bill Nottingham 2007-10-19 21:53:31 UTC
php (or one of its subpacakges) has multiarch conflicts when installed for both i386 and x86_64 in the Fedora development tree. For help in resolving them, see http://fedoraproject.org/wiki/PackagingDrafts/MultilibTricks. 

  file /usr/bin/php-config from install of php-devel-5.2.4-3 conflicts with file from package php-devel-5.2.4-3
  file /usr/bin/phpize from install of php-devel-5.2.4-3 conflicts with file from package php-devel-5.2.4-3
  file /usr/include/php/main/build-defs.h from install of php-devel-5.2.4-3 conflicts with file from package php-devel-5.2.4-3
  file /usr/include/php/main/php_config.h from install of php-devel-5.2.4-3 conflicts with file from package php-devel-5.2.4-3

(Note that this is an automated bug filing.)
It would be nice to have these bugs fixed by the beta of Fedora 9.

Comment 1 Joe Orton 2007-10-22 10:15:01 UTC
We should not be shipping any part of php biarch, it makes no sense.  Who do I
reassign this to, to get that fixed?

Comment 2 Bill Nottingham 2007-10-22 20:17:12 UTC
All -devel packages are included by default.

Comment 3 Joe Orton 2007-10-29 13:36:02 UTC
I understand it's the default, but it needs to be overridden so we don't ship
PHP biarch, we do this in RHEL and I presumed that had persisted into Fedora. 
Who do I reassign this to, to achieve that?  

(I see no use to be able to build a 32-bit php extension DSO on a platform which
cannot *use* such an extension in any way.  Likewise for httpd module DSOs, for
that matter.)

Comment 4 Bill Nottingham 2007-10-29 15:27:47 UTC
Reassigning, although this won't be tackled until after F8, as I'd rather not
change the package set this late.

Comment 5 Bug Zapper 2008-04-04 14:13:13 UTC
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 6 Bug Zapper 2008-11-26 08:01:54 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bill Nottingham 2008-12-05 19:10:28 UTC
Fixed in git, will be in 0.4.3-1.

Comment 8 Fedora Update System 2010-05-07 17:53:39 UTC
mash-0.5.16-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/mash-0.5.16-1.el5

Comment 9 Fedora Update System 2010-09-28 16:18:39 UTC
mash-0.5.20-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mash-0.5.20-1.el5

Comment 10 Fedora Update System 2010-10-13 05:57:00 UTC
mash-0.5.20-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.